Manejadores de notificación
GET https://monitor.sanchezcolomb.com/api/notification-handlers/
curl --request GET \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Facultativo String | La cadena de búsqueda. |
| search_by | Facultativo String | ¿Qué campo busca? Los valores permitidos son: name. |
| is_enabled | Facultativo Boolean | |
| type | Facultativo String | ¿Qué campo busca? Los valores permitidos son: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | Facultativo String | Valores permitidos: datetime, last_datetime |
| datetime_start | Facultativo String | Filtra resultados desde esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Facultativo String | Filtra resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Facultativo String | Qué campo para ordenar los resultados. Los valores permitidos son: notification_handler_id, datetime, last_datetime, name. |
| order_type | Facultativo String | El orden de los resultados. Valores permitidos: ASC para ascendente y DESC para descendente. |
| page | Facultativo Integer | El número de página del que quieres resultados. Por defecto 1. |
| results_per_page | Facultativo Integer | Cuántos resultados quieres por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Predeterminados a 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-12 01:23:25",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://monitor.sanchezcolomb.com/api/notification-handlers?page=1",
"last": "https://monitor.sanchezcolomb.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://monitor.sanchezcolomb.com/api/notification-handlers?page=1"
}
}
GET https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-12 01:23:25",
}
}
POST https://monitor.sanchezcolomb.com/api/notification-handlers
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Necesario String | - |
| type | Necesario String | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams |
| Facultativo String | Disponible cuando: type = email Correo electrónico | |
| webhook | Facultativo String | Disponible cuando: type = webhook URL de Webhook |
| slack | Facultativo String | Disponible cuando: type = slack URL de webhook de Slack |
| discord | Facultativo String | Disponible cuando: type = discord URL de webhook de Discord |
| telegram | Facultativo String | Disponible cuando: type = telegram Token de API de Telegram |
| telegram_chat_id | Facultativo String | Disponible cuando: type = telegram ID de chat de Telegram |
| microsoft_teams | Facultativo String | Disponible cuando: type = microsoft_teams URL de webhook de Microsoft Teams |
curl --request POST \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Facultativo String | - |
| type | Facultativo String | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams |
| Facultativo String | Disponible cuando: type = email Correo electrónico | |
| webhook | Facultativo String | Disponible cuando: type = webhook URL de Webhook |
| slack | Facultativo String | Disponible cuando: type = slack URL de webhook de Slack |
| discord | Facultativo String | Disponible cuando: type = discord URL de webhook de Discord |
| telegram | Facultativo String | Disponible cuando: type = telegram Token de API de Telegram |
| telegram_chat_id | Facultativo String | Disponible cuando: type = telegram ID de chat de Telegram |
| microsoft_teams | Facultativo String | Disponible cuando: type = microsoft_teams URL de webhook de Microsoft Teams |
| is_enabled | Facultativo Boolean | - |
curl --request POST \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://monitor.sanchezcolomb.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \